Skip to content

Instantly share code, notes, and snippets.

@rb-dahlb
Last active July 17, 2024 14:20
Show Gist options
  • Save rb-dahlb/26f316c5b6089807a139fc44ee69f0d1 to your computer and use it in GitHub Desktop.
Save rb-dahlb/26f316c5b6089807a139fc44ee69f0d1 to your computer and use it in GitHub Desktop.
OpenGL fix for Intel HD Graphics 3000 on Windows 10

Fix for Open GL on Intel HD Graphics 3000 - Windows 10

The drivers for Intel HD Graphics 3000 in Windows 10 does not expose all Open GL capabilities of the GPU. So software relying on Open GL features not present in Open GL 1.1 will not work. Using older versions of Windows or Linux might work since the chip have more features than the driver exposes.

The fix is to add a compatibility shim using the Windows ADK software.

1. Download and install Windows ADK

Link: https://docs.microsoft.com/en-us/windows-hardware/get-started/adk-install

Make sure to download the version that fits your Windows version, so if you have Windows 10 1803 choose the 1803 version and so on.

We only need the Application Compatibility Tools module, so choose this in the installer:

adk-compatibility-tools

2. Use the Compatibility Administrator to create the fix

Make sure to start the relevant 32 or 64 bit version of the program, based on which type of software you want to create the compatibility fix for. So if the software you want to fix is 64 bit, use the 64 bit version of the tool.

Right click the New Database menu entry, and choose Create New -> Application Fix...

new-application-fix

Give the fix a name, and browse for the executable file you want to add the fix for. In this example I am adding the fix for Python 3 64 bit programs, so I locate python.exe in C:\Program Files\Python37.

new-application-fix-2

Then click Next. We do not choose anything on this Compatibility Modes page, so just click Next again.

compatibility-mode

On the Compatibility Fixes page, scroll down and check the Win81RTMVersionLie option. Then click the Parameters button.

compatibility-fix

In the Parameters dialog box, Module name: field, type: ig4icd64.dll then click Add and then OK.

compatibility-fix-2

Click Next to the Matching Information page. Here, deselect all except the company name and product name options, then click Finish.

compatibility-fix-3

We have now created the fix needed, next is to save and install it.

compatibility-fix-4

Click the Save icon, and choose a name for the database. You will also need to choose a place to save the file and give the file a name, I just saved to the Documents folder.

save-database

When the database is saved, you can right click the database you just saved, and choose Install.

That should be it!

Credits to user nonkonform1st on YouTube and this video: https://www.youtube.com/watch?v=Yqe5cgthZH4

@mrc2rules
Copy link

https://www.reddit.com/r/lowendgaming/comments/1258usx/updated_win1011_drivers_for_intel_hd_3000/

I have instructions detailed here on how to install the patched graphics driver. Check it out

@ProgiDE
Copy link

ProgiDE commented Oct 26, 2023

This solution did not work for me, but i found another one that DID and want to share it here in case somone else might have the same issue.
I need OpenGL > 3.1 to run with my Intel HD Graphics 3000 for the newest Minecraft version.
After the fix shown above the error message changed to this:
Fehlermeldung danach

The Solution:
_Credits/Tutorial:

Source: _

1. I downloaded: "mesa3d-20.2.0-release-mingw.7z"
Download

2. I unzipped the file and executed "perappdeploy.cmd":
Unzipped

3. Follow the instructions (For me it was Java, because Java is running Minecraft and javaw.exe is the executable for that. I also had to install Java seperatly and add the new javaw.exe path to the Minecraft profile i was using, because i could not find the Java executable delivered with Minecraft):
FirstCmdAction
SecondCmdAction
ThirdCmdAction
FourthCmdAction
Fifth
sixth
seventh
Eighth

FINISHED

PS: I first tried the version 23.1.8, but that did not work for me. After that i tried version 20.2.0 and it worked perfectly.

Please respond if it worked for you :D

@rosenhauer
Copy link

rosenhauer commented Nov 15, 2023

Worked great to allow OpenSCAD to run on my 13 year old laptop. It's still plugging away after a SSD and RAM upgrade (now had 12GB even though the original specs say it maxes out at 8)

@BussyBakks
Copy link

BussyBakks commented Mar 25, 2024

i have database file in my repo for minecraft using Azul Java SDK
u can download and use
https://github.com/BussyBakks/java-fix-intelhd3000
(any java not own by Azul will not work, Azul Java can download here: https://cdn.azul.com/zulu/bin/)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment